﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.5
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fund
{
    public class ConstantParameter : Parameter
    {
        private double m_value;

        protected override double GetValue()
        {
            return m_value;
        }

        public ConstantParameter(ParameterKey Key, double Value)
            : base(Key, null)
        {

            m_value = Value;

        }

        public override void SetToBestGuessValue()
        {
        }

        public override void SetToRandomValue()
        {
        }

        public override double Mean { get { return m_value; } }
        public override double StdDev { get { return 0; } }

    }
}
