﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.5
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fund
{
    public class GlobalParameterKey : ParameterKey
    {
        public GlobalParameterKey(string name) : base(name)
        {
        }

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            if (Object.ReferenceEquals(this, obj)) return true;
            if (this.GetType() != obj.GetType()) return false;

            GlobalParameterKey castedObj = (GlobalParameterKey)obj;

            if (this._name.Equals(castedObj._name)) return true;

            return false;
        }

        public override int GetHashCode()
        {
            return _name.GetHashCode();
        }

        public override string ToString()
        {
            return this.Name;
        }

    }
}
