﻿// Climate Framework for Uncertainty, Negotiation and Distribution
// Version 3.5
// (c) David Anthoff and Richard S.J. Tol
// http://www.fund-model.org
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fund
{

    public static class LegacyRegionNames
    {
        private static string[] _names;

        public static string GetName(int i)
        {
            return _names[i - 1];
        }

        static LegacyRegionNames()
        {
            _names = new String[16];

            foreach (Fund.CommonDimensions.Region r in Enum.GetValues(typeof(Fund.CommonDimensions.Region)))
            {
                var indexr = (int) r;
                _names[indexr - 1] = Enum.GetName(typeof(Fund.CommonDimensions.Region), r);
            }

        }

        public static int GetIdFromName(string name)
        {
            int id = -1;

            for(int i=0;i<_names.Length;i++)
                if (_names[i] == name)
                {
                    id = i + 1;
                    break;
                }

            if (id == -1)
                throw new ArgumentException("There is no region with the name '{0}'.", name);

            return id;
        }
    }
}
